Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/Globals.cpp
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/Globals.cpp	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/Globals.cpp	(revision 5539)
@@ -0,0 +1,157 @@
+/* $Id$ */
+/*
+ * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+#include "Globals.h"
+#include "../../../../../pjsua_app.h"
+#include "../../../../../pjsua_app_config.h"
+#include <memory>
+#include "PjsuaCallback.h"
+
+using namespace PjsuaCLI::BackEnd;
+using namespace Platform;
+
+#define THIS_FILE	"Globals.cpp"
+
+#if defined (PJ_WIN32_WINPHONE8) && (PJ_WIN32_WINPHONE8 != 0)
+
+static pjsua_app_cfg_t wp_app_config;
+static int restart_argc;
+static char **restart_argv;
+extern const char *pjsua_app_def_argv[];
+
+Globals^ Globals::singleton = nullptr;
+
+/** Callback wrapper **/
+void on_cli_started(pj_status_t status, const char *msg)
+{
+    char errmsg[PJ_ERR_MSG_SIZE];
+    if (Globals::Instance->PjsuaCallback) {
+	static wchar_t msgBuff[ PJ_ERR_MSG_SIZE ];
+	Platform::String ^outMsg = nullptr;
+	if ((status != PJ_SUCCESS) && (!msg || !*msg)) {
+	    pj_strerror(status, errmsg, sizeof(errmsg));
+	    msg = errmsg;
+	}
+	mbstowcs(msgBuff, msg, PJ_ERR_MSG_SIZE);
+	outMsg = ref new Platform::String(msgBuff);
+	Globals::Instance->PjsuaCallback->OnStarted(outMsg);
+    }
+}
+
+void on_cli_stopped(pj_bool_t restart, int argc, char **argv)
+{
+    if (restart) {
+	restart_argc = argc;
+	restart_argv = argv;
+    }
+
+    if (Globals::Instance->PjsuaCallback) {
+	Globals::Instance->PjsuaCallback->OnStopped(restart);
+    }
+}
+
+void on_config_init (pjsua_app_config *cfg)
+{
+    PJ_UNUSED_ARG(cfg);
+    //cfg->media_cfg.snd_clock_rate = 16000;
+    //cfg->media_cfg.snd_play_latency = 140;
+}
+
+static int initMain(int argc, char **argv)
+{
+    pj_status_t status;
+    wp_app_config.argc = argc;
+    wp_app_config.argv = argv;
+
+    status = pjsua_app_init(&wp_app_config);
+    if (status == PJ_SUCCESS) {
+	status = pjsua_app_run(PJ_FALSE);
+    } else {
+	pjsua_app_destroy();
+    }
+
+    return status;
+}
+
+int Globals::pjsuaStart()
+{
+    const char **argv = pjsua_app_def_argv;
+    int argc = pjsua_app_def_argc;
+
+    pj_bzero(&wp_app_config, sizeof(wp_app_config));
+
+    wp_app_config.on_started = &on_cli_started;
+    wp_app_config.on_stopped = &on_cli_stopped;
+    wp_app_config.on_config_init = &on_config_init;
+
+    return initMain(argc, (char**)argv);
+}
+
+void Globals::pjsuaDestroy()
+{
+    pjsua_app_destroy();
+
+    /** This is on purpose **/
+    pjsua_app_destroy();
+}
+
+int Globals::pjsuaRestart()
+{
+    pjsuaDestroy();
+
+    return initMain(restart_argc, restart_argv);
+}
+
+Globals^ Globals::Instance::get()
+{
+    if (Globals::singleton == nullptr)
+    {
+        if (Globals::singleton == nullptr)
+        {
+            Globals::singleton = ref new Globals();
+        }
+    }
+
+    return Globals::singleton;
+}
+
+PjsuaCallback^ Globals::PjsuaCallback::get()
+{
+    if (this->callback == nullptr)
+    {
+	if (this->callback == nullptr)
+        {
+	    this->callback = ref new PjsuaCLI::BackEnd::PjsuaCallback();
+        }
+    }
+
+    return this->callback;
+}
+
+Globals::Globals()
+{
+    this->callback = ref new PjsuaCLI::BackEnd::PjsuaCallback();
+}
+
+Globals::~Globals()
+{
+
+}
+
+#endif
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/Globals.h
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/Globals.h	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/Globals.h	(revision 5539)
@@ -0,0 +1,60 @@
+/* $Id$ */
+/* 
+ * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ */
+
+#pragma once
+
+namespace PjsuaCLI
+{
+    namespace BackEnd
+    {        
+	ref class PjsuaCallback;
+
+	public ref class Globals sealed
+        {
+        public:
+            // Get the single instance of this class
+            static property Globals^ Instance
+            {
+                Globals^ get();
+            }
+	    
+            // Get the callback singleton object
+	    property PjsuaCLI::BackEnd::PjsuaCallback^ PjsuaCallback
+            {
+		PjsuaCLI::BackEnd::PjsuaCallback^ get();
+            }
+
+	    /* pjsua method */
+	    int pjsuaStart();
+	    void pjsuaDestroy();
+	    int pjsuaRestart();
+
+        private:
+            // Default constructor
+            Globals();
+
+            // Destructor
+            ~Globals();
+
+	    static Globals^ singleton;
+
+	    PjsuaCLI::BackEnd::PjsuaCallback^ callback;
+        };
+    }
+}
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/IPjsuaCallback.h
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/IPjsuaCallback.h	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/IPjsuaCallback.h	(revision 5539)
@@ -0,0 +1,32 @@
+/* $Id$ */
+/* 
+ * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ */
+
+#pragma once
+
+namespace PjsuaCLI
+{
+    namespace BackEnd
+    {
+	public interface class IPjsuaCallback
+	{	
+	    void OnPjsuaStarted(Platform::String ^outStr);
+	    void OnPjsuaStopped(int restart);
+	};
+    }
+}
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/PjsuaCallback.cpp
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/PjsuaCallback.cpp	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/PjsuaCallback.cpp	(revision 5539)
@@ -0,0 +1,51 @@
+/* $Id$ */
+/* 
+ * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
+ * Copyright (C) 2003-2008 Benny Prijono <benny@prijono.org>
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ */
+
+#include "PjsuaCallback.h"
+
+using namespace PjsuaCLI::BackEnd;
+using namespace Platform;
+using namespace Windows::Foundation;
+
+#define THIS_FILE	"PjsuaCallback.cpp"
+
+void PjsuaCallback::SetCallback(IPjsuaCallback^ cb)
+{
+    this->callback = cb;
+}
+
+void PjsuaCallback::OnStarted(Platform::String ^outStr)
+{
+    if (callback) {
+	callback->OnPjsuaStarted(outStr);
+    }
+}
+
+void PjsuaCallback::OnStopped(int restart)
+{
+    if (callback) {
+	callback->OnPjsuaStopped(restart);
+    }
+}
+
+PjsuaCallback::PjsuaCallback() : callback(nullptr) {}
+
+PjsuaCallback::~PjsuaCallback() {}
+
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/PjsuaCallback.h
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/PjsuaCallback.h	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/comp/src/PjsuaCallback.h	(revision 5539)
@@ -0,0 +1,47 @@
+/* $Id$ */
+/* 
+ * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ */
+
+#pragma once
+
+#include "IPjsuaCallback.h"
+
+namespace PjsuaCLI
+{
+    namespace BackEnd
+    {
+        // Forward declaration
+        ref class Globals;
+
+	public ref class PjsuaCallback sealed
+	{	
+	public:
+	    void SetCallback(IPjsuaCallback^ cb);
+
+	    void OnStarted(Platform::String ^outStr);
+	    void OnStopped(int restart);
+	private:	    
+	    friend ref class PjsuaCLI::BackEnd::Globals;
+
+	    PjsuaCallback();
+	    ~PjsuaCallback();
+
+	    IPjsuaCallback^ callback;
+	};
+    }
+}
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/App.xaml
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/App.xaml	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/App.xaml	(revision 5539)
@@ -0,0 +1,8 @@
+﻿<Application
+    x:Class="PjsuaCLI.UI.App"
+    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
+    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
+    xmlns:local="using:pjsua_cli_uwp"
+    RequestedTheme="Light">
+
+</Application>
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/App.xaml.cs
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/App.xaml.cs	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/App.xaml.cs	(revision 5539)
@@ -0,0 +1,108 @@
+﻿using System;
+using System.Collections.Generic;
+using System.IO;
+using System.Linq;
+using System.Runtime.InteropServices.WindowsRuntime;
+using Windows.ApplicationModel;
+using Windows.ApplicationModel.Activation;
+using Windows.Foundation;
+using Windows.Foundation.Collections;
+using Windows.UI.Xaml;
+using Windows.UI.Xaml.Controls;
+using Windows.UI.Xaml.Controls.Primitives;
+using Windows.UI.Xaml.Data;
+using Windows.UI.Xaml.Input;
+using Windows.UI.Xaml.Media;
+using Windows.UI.Xaml.Navigation;
+
+namespace PjsuaCLI.UI
+{
+    /// <summary>
+    /// Provides application-specific behavior to supplement the default Application class.
+    /// </summary>
+    sealed partial class App : Application
+    {
+        /// <summary>
+        /// Initializes the singleton application object.  This is the first line of authored code
+        /// executed, and as such is the logical equivalent of main() or WinMain().
+        /// </summary>
+        public App()
+        {
+            Microsoft.ApplicationInsights.WindowsAppInitializer.InitializeAsync(
+                Microsoft.ApplicationInsights.WindowsCollectors.Metadata |
+                Microsoft.ApplicationInsights.WindowsCollectors.Session);
+            this.InitializeComponent();
+            this.Suspending += OnSuspending;
+        }
+
+        /// <summary>
+        /// Invoked when the application is launched normally by the end user.  Other entry points
+        /// will be used such as when the application is launched to open a specific file.
+        /// </summary>
+        /// <param name="e">Details about the launch request and process.</param>
+        protected override void OnLaunched(LaunchActivatedEventArgs e)
+        {
+
+#if DEBUG
+            if (System.Diagnostics.Debugger.IsAttached)
+            {
+                this.DebugSettings.EnableFrameRateCounter = true;
+            }
+#endif
+
+            Frame rootFrame = Window.Current.Content as Frame;
+
+            // Do not repeat app initialization when the Window already has content,
+            // just ensure that the window is active
+            if (rootFrame == null)
+            {
+                // Create a Frame to act as the navigation context and navigate to the first page
+                rootFrame = new Frame();
+
+                rootFrame.NavigationFailed += OnNavigationFailed;
+
+                if (e.PreviousExecutionState == ApplicationExecutionState.Terminated)
+                {
+                    //TODO: Load state from previously suspended application
+                }
+
+                // Place the frame in the current Window
+                Window.Current.Content = rootFrame;
+            }
+
+            if (rootFrame.Content == null)
+            {
+                // When the navigation stack isn't restored navigate to the first page,
+                // configuring the new page by passing required information as a navigation
+                // parameter
+                rootFrame.Navigate(typeof(MainPage), e.Arguments);
+            }
+            // Ensure the current window is active
+            Window.Current.Activate();
+        }
+
+        /// <summary>
+        /// Invoked when Navigation to a certain page fails
+        /// </summary>
+        /// <param name="sender">The Frame which failed navigation</param>
+        /// <param name="e">Details about the navigation failure</param>
+        void OnNavigationFailed(object sender, NavigationFailedEventArgs e)
+        {
+            throw new Exception("Failed to load Page " + e.SourcePageType.FullName);
+        }
+
+        /// <summary>
+        /// Invoked when application execution is being suspended.  Application state is saved
+        /// without knowing whether the application will be terminated or resumed with the contents
+        /// of memory still intact.
+        /// </summary>
+        /// <param name="sender">The source of the suspend request.</param>
+        /// <param name="e">Details about the suspend request.</param>
+        private void OnSuspending(object sender, SuspendingEventArgs e)
+        {
+            var deferral = e.SuspendingOperation.GetDeferral();
+            //TODO: Save application state and stop any background activity
+            deferral.Complete();
+        }
+    }
+}
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/MainPage.xaml
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/MainPage.xaml	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/MainPage.xaml	(revision 5539)
@@ -0,0 +1,18 @@
+﻿<Page
+    x:Class="PjsuaCLI.UI.MainPage"
+    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
+    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
+    xmlns:local="using:PjsuaCLI.UI"
+    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
+    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
+    mc:Ignorable="d">
+
+    <Grid Background="Black">
+        <Grid.RowDefinitions>
+            <RowDefinition Height="Auto"/>
+            <RowDefinition Height="*"/>
+        </Grid.RowDefinitions>
+        <Image x:Name="imgMain" HorizontalAlignment="Center" Margin="0" Grid.RowSpan="2" VerticalAlignment="Center" Source="/Assets/teluu-logo.png" Height="239"/>
+        <TextBlock x:Name="txtStatus" HorizontalAlignment="Center" Margin="0" Grid.RowSpan="2" TextWrapping="Wrap" VerticalAlignment="Bottom" Foreground="White"/>
+    </Grid>
+</Page>
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/MainPage.xaml.cs
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/MainPage.xaml.cs	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/MainPage.xaml.cs	(revision 5539)
@@ -0,0 +1,60 @@
+﻿using System;
+using System.Collections.Generic;
+using System.IO;
+using System.Linq;
+using System.Runtime.InteropServices.WindowsRuntime;
+using Windows.Foundation;
+using Windows.Foundation.Collections;
+using Windows.UI.Xaml;
+using Windows.UI.Xaml.Controls;
+using Windows.UI.Xaml.Controls.Primitives;
+using Windows.UI.Xaml.Data;
+using Windows.UI.Xaml.Input;
+using Windows.UI.Xaml.Media;
+using Windows.UI.Xaml.Navigation;
+using PjsuaCLI.BackEnd;
+
+// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409
+
+namespace PjsuaCLI.UI
+{
+    /// <summary>
+    /// An empty page that can be used on its own or navigated to within a Frame.
+    /// </summary>
+    public partial class MainPage : Page, IPjsuaCallback
+    {
+        public MainPage()
+        {
+            this.InitializeComponent();
+        }
+
+        public virtual void OnPjsuaStarted(string outStr)
+        {
+            setStatus(outStr);
+        }
+
+        public virtual void OnPjsuaStopped(int restart)
+        {
+            setStatus("Telnet stopped, restart(" + (restart == 0 ? "No" : "Yes") + ")");
+        }
+
+        public void setStatus(string status)
+        {
+            txtStatus.Text = status;
+        }
+
+        protected override void OnNavigatedTo(NavigationEventArgs e)
+        {
+            base.OnNavigatedTo(e);
+
+            Globals.Instance.PjsuaCallback.SetCallback(this);
+            Globals.Instance.pjsuaStart();
+        }
+
+        protected override void OnNavigatedFrom(NavigationEventArgs e)
+        {
+            base.OnNavigatedFrom(e);
+            Globals.Instance.pjsuaDestroy();
+        }
+    }
+}
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/Package.appxmanifest
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/Package.appxmanifest	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/Package.appxmanifest	(revision 5539)
@@ -0,0 +1,34 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Package xmlns="http://schemas.microsoft.com/appx/manifest/foundation/windows10" xmlns:mp="http://schemas.microsoft.com/appx/2014/phone/manifest" xmlns:uap="http://schemas.microsoft.com/appx/manifest/uap/windows10" IgnorableNamespaces="uap mp">
+  <Identity Name="e8db8988-edde-41d3-aee8-2d47bda65204" Publisher="CN=Riza" Version="1.0.0.0" />
+  <mp:PhoneIdentity PhoneProductId="e8db8988-edde-41d3-aee8-2d47bda65204" PhonePublisherId="00000000-0000-0000-0000-000000000000" />
+  <Properties>
+    <DisplayName>pjsua_cli_rt</DisplayName>
+    <PublisherDisplayName>Riza</PublisherDisplayName>
+    <Logo>Assets\StoreLogo.png</Logo>
+  </Properties>
+  <Dependencies>
+    <TargetDeviceFamily Name="Windows.Universal" MinVersion="10.0.0.0" MaxVersionTested="10.0.0.0" />
+  </Dependencies>
+  <Resources>
+    <Resource Language="x-generate" />
+  </Resources>
+  <Applications>
+    <Application Id="App" Executable="$targetnametoken$.exe" EntryPoint="pjsua_cli_uwp.App">
+      <uap:VisualElements DisplayName="pjsua_cli_uwp" Square150x150Logo="Assets\Square150x150Logo.png" Square44x44Logo="Assets\Square44x44Logo.png" Description="pjsua_cli_uwp" BackgroundColor="transparent">
+        <uap:DefaultTile Wide310x150Logo="Assets\Wide310x150Logo.png">
+        </uap:DefaultTile>
+        <uap:SplashScreen Image="Assets\SplashScreen.png" />
+      </uap:VisualElements>
+    </Application>
+  </Applications>
+  <Capabilities>
+    <Capability Name="internetClient" />
+    <Capability Name="internetClientServer" />
+    <Capability Name="privateNetworkClientServer" />
+    <uap:Capability Name="voipCall" />
+    <uap:Capability Name="phoneCall" />
+    <DeviceCapability Name="webcam" />
+    <DeviceCapability Name="microphone" />
+  </Capabilities>
+</Package>
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/Properties/AssemblyInfo.cs
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/Properties/AssemblyInfo.cs	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/Properties/AssemblyInfo.cs	(revision 5539)
@@ -0,0 +1,29 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("pjsua_cli_uwp")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("pjsua_cli_uwp")]
+[assembly: AssemblyCopyright("Copyright ©  2015")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
+[assembly: ComVisible(false)]
Index: /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/pjsua_cli_uwp.csproj
===================================================================
--- /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/pjsua_cli_uwp.csproj	(revision 5539)
+++ /pjproject/trunk/pjsip-apps/src/pjsua/winrt/cli/uwp/pjsua_cli_uwp.csproj	(revision 5539)
@@ -0,0 +1,157 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="14.0" DefaultTargets="CheckAPI" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <!--Check for API_Family-->
+  <PropertyGroup>
+    <PROJ_Target>UWP</PROJ_Target>
+  </PropertyGroup>
+  <Import Project="..\..\..\..\..\..\build\vs\pjproject-vs14-common-config.props" />
+  <Import Project="..\..\..\..\..\..\build\vs\pjproject-vs14-common-targets.targets" />
+  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == 'Win32' ">x86</Platform>
+    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
+    <ProjectGuid>{D26DD1D3-C631-4A56-BBE5-D42F1ACFD53A}</ProjectGuid>
+    <OutputType>AppContainerExe</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>PjsuaCLI.UI</RootNamespace>
+    <AssemblyName>pjsua_cli_uwp</AssemblyName>
+    <DefaultLanguage>en-US</DefaultLanguage>
+    <MinimumVisualStudioVersion>14</MinimumVisualStudioVersion>
+    <EnableDotNetNativeCompatibleProfile>true</EnableDotNetNativeCompatibleProfile>
+    <FileAlignment>512</FileAlignment>
+    <ProjectTypeGuids>{A5A43C5B-DE2A-4C0C-9213-0A381AF9435A};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
+    <!--<PackageCertificateKeyFile>pjsua_cli_uwp_TemporaryKey.pfx</PackageCertificateKeyFile>-->
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|ARM'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\ARM\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>full</DebugType>
+    <PlatformTarget>ARM</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|ARM'">
+    <OutputPath>bin\ARM\Release\</OutputPath>
+    <DefineConstants>TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <Optimize>true</Optimize>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>ARM</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+    <UseDotNetNativeToolchain>true</UseDotNetNativeToolchain>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x64\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
+    <OutputPath>bin\x64\Release\</OutputPath>
+    <DefineConstants>TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <Optimize>true</Optimize>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x64</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+    <UseDotNetNativeToolchain>true</UseDotNetNativeToolchain>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x86' OR '$(Configuration)|$(Platform)' == 'Debug|Win32'">
+    <DebugSymbols>true</DebugSymbols>
+    <OutputPath>bin\x86\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>full</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x86' OR '$(Configuration)|$(Platform)' == 'Release|Win32'">
+    <OutputPath>bin\x86\Release\</OutputPath>
+    <DefineConstants>TRACE;NETFX_CORE;WINDOWS_UWP</DefineConstants>
+    <Optimize>true</Optimize>
+    <NoWarn>;2008</NoWarn>
+    <DebugType>pdbonly</DebugType>
+    <PlatformTarget>x86</PlatformTarget>
+    <UseVSHostingProcess>false</UseVSHostingProcess>
+    <ErrorReport>prompt</ErrorReport>
+    <Prefer32Bit>true</Prefer32Bit>
+    <UseDotNetNativeToolchain>true</UseDotNetNativeToolchain>
+  </PropertyGroup>
+  <ItemGroup>
+    <!-- A reference to the entire .Net Framework and Windows SDK are automatically included -->
+    <Content Include="ApplicationInsights.config">
+      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
+    </Content>
+    <None Include="project.json" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="App.xaml.cs">
+      <DependentUpon>App.xaml</DependentUpon>
+    </Compile>
+    <Compile Include="MainPage.xaml.cs">
+      <DependentUpon>MainPage.xaml</DependentUpon>
+    </Compile>
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <AppxManifest Include="Package.appxmanifest">
+      <SubType>Designer</SubType>
+    </AppxManifest>
+  </ItemGroup>
+  <ItemGroup>
+    <Content Include="Assets\teluu-logo.png" />
+    <Content Include="Properties\Default.rd.xml" />
+    <Content Include="Assets\LockScreenLogo.scale-200.png" />
+    <Content Include="Assets\SplashScreen.scale-200.png" />
+    <Content Include="Assets\Square150x150Logo.scale-200.png" />
+    <Content Include="Assets\Square44x44Logo.scale-200.png" />
+    <Content Include="Assets\Square44x44Logo.targetsize-24_altform-unplated.png" />
+    <Content Include="Assets\StoreLogo.png" />
+    <Content Include="Assets\Wide310x150Logo.scale-200.png" />
+  </ItemGroup>
+  <ItemGroup>
+    <ApplicationDefinition Include="App.xaml">
+      <Generator>MSBuild:Compile</Generator>
+      <SubType>Designer</SubType>
+    </ApplicationDefinition>
+    <Page Include="MainPage.xaml">
+      <Generator>MSBuild:Compile</Generator>
+      <SubType>Designer</SubType>
+    </Page>
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\comp\pjsua_cli_uwp_comp.vcxproj">
+      <Project>{207e7bd4-7b11-4a40-ba3a-cc627762a7b6}</Project>
+      <Name>pjsua_cli_uwp_comp</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <WCFMetadata Include="Service References\" />
+  </ItemGroup>
+  <PropertyGroup Condition=" '$(VisualStudioVersion)' == '' or '$(VisualStudioVersion)' &lt; '14.0' ">
+    <VisualStudioVersion>14.0</VisualStudioVersion>
+  </PropertyGroup>
+  <Import Project="$(MSBuildExtensionsPath)\Microsoft\WindowsXaml\v$(VisualStudioVersion)\Microsoft.Windows.UI.Xaml.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
